Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(981)

Unified Diff: ports/libx11/build.sh

Issue 1260083004: Add needed functions to glibc-compat for pkg (Closed) Base URL: https://chromium.googlesource.com/external/naclports.git@master
Patch Set: fix wrong c++ lib Created 5 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « ports/gtk+/build.sh ('k') | ports/libxcb/build.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: ports/libx11/build.sh
diff --git a/ports/libx11/build.sh b/ports/libx11/build.sh
index 32d287387ce2dcab48b673c01cf17ac3543a80f0..b6853f4c93bf428f3ddbcdc2d936b8cf7a8f4e69 100644
--- a/ports/libx11/build.sh
+++ b/ports/libx11/build.sh
@@ -6,3 +6,15 @@ if [ "${NACL_LIBC}" = "newlib" ]; then
NACLPORTS_CFLAGS+=" -I${NACLPORTS_INCLUDE}/glibc-compat"
EXTRA_CONFIGURE_ARGS+=" --enable-shared=no"
fi
+
+InstallStep() {
+ DefaultInstallStep
+ if [ "${NACL_LIBC}" = "newlib" ]; then
+ if ! grep -Eq "lglibc-compat" \
+ ${INSTALL_DIR}/naclports-dummydir/lib/pkgconfig/x11.pc ; then
+ sed -i 's/-lX11/-lX11 -lglibc-compat/'\
+ ${INSTALL_DIR}/naclports-dummydir/lib/pkgconfig/x11.pc
+ fi
+ fi
+}
+
« no previous file with comments | « ports/gtk+/build.sh ('k') | ports/libxcb/build.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698